## org.biojava.bio.seq.db
Class IllegalIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bio.BioException
                  org.biojava.bio.seq.db.IllegalIDException

All Implemented Interfaces:
  Serializable

    public class IllegalIDException

extends BioException

Author:
  Matthew Pocock, Keith James
See Also:
  Serialized Form

Constructor Summary
`IllegalIDException()`
`IllegalIDException(String message)`
`IllegalIDException(Throwable t)`
`IllegalIDException(Throwable t, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalIDException

    public IllegalIDException()

### IllegalIDException

    public IllegalIDException(Throwable t)

### IllegalIDException

    public IllegalIDException(String message)

### IllegalIDException

    public IllegalIDException(Throwable t,
                              String message)